# -*- coding:utf-8 -*-
import RPi.GPIO as GPIO
import time
import paho.mqtt.client as mqtt

def onConnect(client, userdata, flags, respons_code):
    client.subscribe('topic/aitc')

def onMessage(client, userdata, message):
    if message.payload == 'low':
        GPIO.output(25,GPIO.HIGH)
    else:
        GPIO.output(25,GPIO.LOW)
    time.sleep(1)

if __name__ == '__main__':
    GPIO.setwarnings(False)
    GPIO.setmode(GPIO.BCM)
    GPIO.setup(25,GPIO.OUT)
    GPIO.output(25,GPIO.LOW)  # PINのリセット

    client = mqtt.Client()
    client.on_connect = onConnect
    client.on_message = onMessage
    client.connect('127.0.0.1', 1883, keepalive=60)
    client.loop_forever()
